Skip to:
Content
Pages
Categories
Search
Top
Bottom

Fatal error: Call to undefined function bp_nouveau_before_loop()


  • andreia22
    Participant

    @andreia22

    1º error

    Fatal error: Call to undefined function bp_nouveau_before_loop() in /home/elafazco/public_html/wp-content/plugins/buddypress/bp-templates/bp-nouveau/buddypress/activity/activity-loop.php on line 8

    2º error

    Fatal error: Call to undefined function bp_is_user_forums() in /home/elafazco/public_html/wp-content/themes/kleo/buddypress/members/single/home.php on line 102

    Why are you giving the mistake?

Viewing 6 replies - 1 through 6 (of 6 total)

  • vapvarun
    Participant

    @vapvarun

    @andreia22
    bp_is_user_forums() no longer used in core, but supported for third-party code.
    legacy forum support removed in BP v3.0 you can find the details here https://bpdevel.wordpress.com/2017/12/07/legacy-forums-support-will-be/

    You can check with your theme support to update the corresponding codes inside the theme.

    You can keep using legacy template pack for while and after your theme vendor announces support for nouveau you can switch on it.


    Paul Gibbs
    Keymaster

    @djpaul

    @andreia22 What URL are you visiting to trigger these errors, please?


    sjregan
    Participant

    @sjregan

    @djpaul I received the same error in a theme that hadn’t been updated to support 3.0. The error did not occur when using the twentyseventeen theme.


    vapvarun
    Participant

    @vapvarun

    @sjregan then it must be theme specific error, We had also got similar reports for Kleo users. You can consult with their support.
    As per my understanding up to now, a theme can not have inbuilt support for both sets of BuddyPress template files, they have to make their choice and define inside theme code for which template set they have added dedicated support.


    sjregan
    Participant

    @sjregan

    @vapvarun Thank you, yes, it’s definitely a theme issue, I was leaving the comment so others who found this thread knew where to start in resolving the error.

    In regards to Kleo, version 4.3.8 is compatible with BP 3.0.


    biobox
    Participant

    @biobox

    @sjregan, @vapvarun. Thank you so much guys. My site had the issue for a while, but upon updating my Kleo theme to 4.3.8, the issue was resolved.

    However, Kleo 4.3.8 at the moment doesn’t work with Buddypress Nouveau Template Pack, just Legacy Template Pack. So, users may find out that the Kleo reverts your Nouveau selection to Legacy.

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.
Skip to toolbar